

/*========= Global Page Styles =========*/
/* global style */
body {
    /* layout */
    margin: 0;
    padding: 0;

    /* text */
    color: #FFF;
    font-family: 'Inter';
    font-weight: normal;
    font-size: 16px;
    line-height: 150%;

    /* style */
    background-color: #0D0D0D;

    overflow-x: hidden;
}

.page-outer {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    z-index: 100;
}

.page-container {
    min-height: calc(100vh - 3.6em);
    /* stick footer to bottom when needed */
    position: relative;
    width: 100%;
    height: 100%;
}

.global-outer {
    /* layout */
    display: flex;
    flex-direction: column;
    width: 100%;
}

/* Hide scrollbar for Chrome, Safari and Opera */
html::-webkit-scrollbar {
    display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
html {
    -ms-overflow-style: none;
    /* IE and Edge */
    scrollbar-width: none;
    /* Firefox */
}

h1,
h2,
h3,
th {
    font-family: 'Shrikhand';
    text-transform: uppercase;
    font-weight: 100;
    margin: 0;
    padding: 0;
}

/* main title */
h1 {
    /* text */
    font-size: 40px;
}

/* project titles */
h2 {
    /* text */
    font-size: 30px;
}

/* body header */
h3 {
    /* text */
    font-size: 25px;
}

/* table headers */
th,
td {
    /* text */
    font-size: 20px;
}

/* body text */
p {
    /* text */
    font-size: 16px;
    font-weight: 200;
    letter-spacing: 0.5px;
}

/* global a style */
a {
    /* text */
    text-decoration: none;
}

/* global nav bar style */
.nav-bar-outer {
    /* layout */
    display: flex;
    align-items: center;
    justify-content: center;
    
    padding: 20px 0px;

    /* stick to top of page once scrolled past */
    top: 0;

    /* always on top of other content */
    z-index: 1;

    /* size */
    height: 55px;
    width: 100vw;
}
/* logo container */
.logo-container {
    /* layout */
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding-left: 100px;

    /* size */
    height: 100%;
    width: 20%;
}
.logo-container img {
    /* size */
    height: 90%;
}
.logo-container a {
    /* layout */
    display: flex;
    align-items: center;
    justify-content: center;

    /* size */
    height: 90%;
}
/* navigation bar container */
.nav-bar-container {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    padding-right: 100px;

    width: 80%;
}
/* navigation bar */
.nav-bar {
    /* layout */
    display: flex;
    align-items: center;
    justify-content: flex-end;
    margin: 0;
    padding: 0;
    overflow: hidden;

    /* style */
    list-style-type: none;
}
.nav-bar li a {
    /* layout */
    display: block;
    padding: 1.5em 15px;

    font-size: 16px;

    /* text */
    text-align: center;
    text-decoration: none;
    color: #FFFFFF;

    transition: all 0.3s ease;
}
/* navigation bar item hovered */
.nav-bar li a:hover {
    /* text */
    color: #f2ae15;

    transition: all 0.3s ease;
}
/* current page indicator */
.cur-page-item {
    background:
        linear-gradient(to right, transparent, transparent),
        linear-gradient(to right, #FFFFFF, #ffffff);
    background-position: 100% 100%, 50% 75%;
    background-repeat: no-repeat;
    background-size: 0 0.1em, 20% 0.1em;
}
/* current page hovered */
.cur-page-item:hover {
    background:
        linear-gradient(to right, transparent, transparent),
        linear-gradient(to right, #FBB415, #FBB415);
    background-position: 100% 100%, 50% 75%;
    background-repeat: no-repeat;
    background-size: 0 0.1em, 20% 0.1em;
    transition: all 0.3s ease;
}

/* global footer style */
.footer-outer
{
    /* layout */
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    margin-top: 200px;
}
.footer-container {
    /* layout */
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0.3em 0 0.3em 0;

    /* size */
    width: 1275px;
    height: 140px;

    border-top: #FFFFFF solid 1px;

    /* text */
    font-size: 40px;
    color: #FBB415;
}
/* footer link */
.footer-container a {
    /* text */
    text-decoration: none;
    color: #FBB415;
    transition: all 0.3s ease;
}
/* footer link hovered */
.footer-container a:hover {
    /* text */
    text-decoration: none;
    color: #FFFFFF;
    transition: all 0.3s ease;
}
/* footer icons */
.footer-container i {
    /* layout */
    margin: 0 0.2em 0 0.2em;
}